/*
* This file is part of WebLookAndFeel library.
*
* WebLookAndFeel library is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* WebLookAndFeel library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.examples.groups.android;

import com.alee.examples.DefaultExampleGroup;
import com.alee.examples.Example;
import com.alee.examples.FeatureState;

import javax.swing.*;
import java.util.ArrayList;
import java.util.List;

/**
 * User: mgarin Date: 12.03.12 Time: 15:32
 */

public class AndroidStylingGroup extends DefaultExampleGroup
{
    public Icon getGroupIcon ()
    {
        return new ImageIcon ( AndroidStylingGroup.class.getResource ( "icons/android.png" ) );
    }

    public String getGroupName ()
    {
        return "Android styling";
    }

    public String getGroupDescription ()
    {
        return "Various examples of Android components styling";
    }

    public FeatureState getFeatureGroupState ()
    {
        return FeatureState.beta;
    }

    public List<Example> getGroupExamples ()
    {
        List<Example> examples = new ArrayList<Example> ();
        examples.add ( new AndroidLabelExample () );
        examples.add ( new AndroidPanelExample () );
        examples.add ( new AndroidButtonsExample () );
        examples.add ( new AndroidFieldsExample () );
        examples.add ( new AndroidTextAreaExample () );
        return examples;
    }
}