/*
* This file is part of WebLookAndFeel library.
*
* WebLookAndFeel library is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* WebLookAndFeel library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.examples.groups.breadcrumb;

import com.alee.examples.DefaultExample;
import com.alee.examples.FeatureState;
import com.alee.examples.WebLookAndFeelDemo;
import com.alee.extended.breadcrumb.BreadcrumbElementType;
import com.alee.extended.breadcrumb.WebBreadcrumb;
import com.alee.extended.breadcrumb.WebBreadcrumbLabel;
import com.alee.extended.panel.GroupPanel;

import java.awt.*;

/**
 * User: mgarin Date: 15.03.12 Time: 13:16
 */

public class LabelsBreadcrumbExample extends DefaultExample
{
    public String getTitle ()
    {
        return "Labels breadcrumb";
    }

    public String getDescription ()
    {
        return "Web-styled labels breadcrumb";
    }

    public FeatureState getFeatureState ()
    {
        return FeatureState.alpha;
    }

    public Component getPreview ( WebLookAndFeelDemo owner )
    {
        WebBreadcrumb breadcrumb1 = new WebBreadcrumb ( true );
        fillBreadcrumb ( breadcrumb1 );

        WebBreadcrumb breadcrumb2 = new WebBreadcrumb ( false );
        fillBreadcrumb ( breadcrumb2 );

        return new GroupPanel ( 4, false, breadcrumb1, breadcrumb2 );
    }

    private void fillBreadcrumb ( WebBreadcrumb b )
    {
        b.addElement ( new WebBreadcrumbLabel ( BreadcrumbElementType.start, "1" ) );
        b.addElement ( new WebBreadcrumbLabel ( BreadcrumbElementType.middle, "2" ) );
        b.addElement ( new WebBreadcrumbLabel ( BreadcrumbElementType.middle, "3" ) );
        b.addElement ( new WebBreadcrumbLabel ( BreadcrumbElementType.end, "4" ) );
    }
}