/*
* This file is part of WebLookAndFeel library.
*
* WebLookAndFeel library is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* WebLookAndFeel library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.examples.groups.button;

import com.alee.examples.DefaultExample;
import com.alee.examples.WebLookAndFeelDemo;
import com.alee.extended.layout.HorizontalFlowLayout;
import com.alee.laf.button.WebToggleButton;
import com.alee.laf.panel.WebPanel;

import javax.swing.*;
import java.awt.*;

/**
 * User: mgarin Date: 23.01.12 Time: 16:47
 */

public class CustomizedButtonsExample extends DefaultExample
{
    public String getTitle ()
    {
        return "Customized buttons";
    }

    public String getDescription ()
    {
        return "Buttons with customized UI";
    }

    public Component getPreview ( WebLookAndFeelDemo owner )
    {
        WebPanel nbButtons = new WebPanel ( new HorizontalFlowLayout ( 0, false ) );
        ButtonGroup nbg = new ButtonGroup ();
        for ( int i = 1; i <= 10; i++ )
        {
            Class c = CustomizedButtonsExample.class;
            ImageIcon ii = new ImageIcon ( c.getResource ( "icons/buttons/" + i + ".png" ) );
            WebToggleButton nb = new WebToggleButton ( ii );
            nb.setShadeWidth ( 4 );
            nb.setLeftRightSpacing ( 0 );
            nb.setRolloverShadeOnly ( true );
            nb.setRolloverDecoratedOnly ( true );
            nbg.add ( nb );
            nbButtons.add ( nb );
        }
        return nbButtons;
    }
}