/*
* This file is part of WebLookAndFeel library.
*
* WebLookAndFeel library is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* WebLookAndFeel library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.examples.groups.button;

import com.alee.examples.DefaultExample;
import com.alee.examples.WebLookAndFeelDemo;
import com.alee.extended.panel.WebButtonGroup;
import com.alee.laf.button.WebButton;

import java.awt.*;

/**
 * User: mgarin Date: 23.01.12 Time: 15:48
 */

public class DoubleGroupedButtonsExample extends DefaultExample
{
    public String getTitle ()
    {
        return "Double grouped buttons";
    }

    public String getDescription ()
    {
        return "Example of double WebButtonGroup usage";
    }

    public Component getPreview ( WebLookAndFeelDemo owner )
    {
        WebButton b1 = new WebButton ( "1" );
        WebButton b2 = new WebButton ( "2" );
        WebButton b3 = new WebButton ( "3" );
        WebButton b4 = new WebButton ( "4" );
        WebButton b5 = new WebButton ( "5" );
        WebButton b6 = new WebButton ( "6" );
        WebButton b7 = new WebButton ( "7" );
        WebButton b8 = new WebButton ( "8" );
        WebButton b9 = new WebButton ( "9" );

        return new WebButtonGroup ( WebButtonGroup.VERTICAL,
                new WebButtonGroup ( WebButtonGroup.HORIZONTAL, b1, b2, b3 ),
                new WebButtonGroup ( WebButtonGroup.HORIZONTAL, b4, b5, b6 ),
                new WebButtonGroup ( WebButtonGroup.HORIZONTAL, b7, b8, b9 ) );
    }
}