/*
* This file is part of WebLookAndFeel library.
*
* WebLookAndFeel library is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* WebLookAndFeel library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.examples.groups.button;

import com.alee.examples.DefaultExample;
import com.alee.examples.WebLookAndFeelDemo;
import com.alee.extended.panel.GroupPanel;
import com.alee.laf.checkbox.WebCheckBox;

import java.awt.*;

/**
 * User: mgarin Date: 23.01.12 Time: 16:39
 */

public class SimpleCheckBoxExample extends DefaultExample
{
    public String getTitle ()
    {
        return "Simple checkbox";
    }

    public String getDescription ()
    {
        return "Simple Web-styled checkboxes";
    }

    public Component getPreview ( WebLookAndFeelDemo owner )
    {
        WebCheckBox cb = new WebCheckBox ( "Checkbox" );

        WebCheckBox dcb = new WebCheckBox ( "Disabled checkbox" );
        dcb.setSelected ( true );
        dcb.setEnabled ( false );

        return new GroupPanel ( new GroupPanel ( 4, false, new GroupPanel ( cb ), dcb ) );
    }
}