/*
* This file is part of WebLookAndFeel library.
*
* WebLookAndFeel library is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* WebLookAndFeel library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.examples.groups.button;

import com.alee.examples.DefaultExample;
import com.alee.examples.WebLookAndFeelDemo;
import com.alee.extended.panel.WebButtonGroup;
import com.alee.laf.button.WebToggleButton;

import java.awt.*;

/**
 * User: mgarin Date: 23.01.12 Time: 16:35
 */

public class SimpleGroupedButtonsExample extends DefaultExample
{
    public String getTitle ()
    {
        return "Grouped buttons";
    }

    public String getDescription ()
    {
        return "Example of WebButtonGroup usage";
    }

    public Component getPreview ( WebLookAndFeelDemo owner )
    {
        WebToggleButton left = new WebToggleButton ( "Left toggle" );
        WebToggleButton right = new WebToggleButton ( "Right toggle" );
        return new WebButtonGroup ( WebButtonGroup.HORIZONTAL, true, left, right );
    }
}