/*
* This file is part of WebLookAndFeel library.
*
* WebLookAndFeel library is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* WebLookAndFeel library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.examples.groups.button;

import com.alee.examples.DefaultExample;
import com.alee.examples.WebLookAndFeelDemo;
import com.alee.extended.panel.GroupPanel;
import com.alee.laf.radiobutton.WebRadioButton;

import java.awt.*;

/**
 * User: mgarin Date: 23.01.12 Time: 16:45
 */

public class SimpleRadioButtonExample extends DefaultExample
{
    public String getTitle ()
    {
        return "Simple radiobutton";
    }

    public String getDescription ()
    {
        return "Simple Web-styled radiobuttons";
    }

    public Component getPreview ( WebLookAndFeelDemo owner )
    {
        WebRadioButton rb = new WebRadioButton ( "Radiobutton" );

        WebRadioButton drb = new WebRadioButton ( "Disabled radiobutton" );
        drb.setSelected ( true );
        drb.setEnabled ( false );

        return new GroupPanel ( new GroupPanel ( 4, false, new GroupPanel ( rb ), drb ) );
    }
}