/*
* This file is part of WebLookAndFeel library.
*
* WebLookAndFeel library is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* WebLookAndFeel library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.examples.groups.button;

import com.alee.examples.DefaultExample;
import com.alee.examples.WebLookAndFeelDemo;
import com.alee.examples.groups.ExamplesManager;
import com.alee.extended.panel.GroupPanel;
import com.alee.laf.button.WebToggleButton;

import java.awt.*;

/**
 * User: mgarin Date: 23.01.12 Time: 15:22
 */

public class SimpleToggleButtonsExample extends DefaultExample
{
    public String getTitle ()
    {
        return "Simple toggle buttons";
    }

    public String getDescription ()
    {
        return "Simple Web-styled toggle buttons";
    }

    public Component getPreview ( WebLookAndFeelDemo owner )
    {
        WebToggleButton b = new WebToggleButton ( "Toggle button", ExamplesManager.icon2 );
        b.setShadeToggleIcon ( true );

        WebToggleButton db =
                new WebToggleButton ( "Disabled toggle button", ExamplesManager.icon1 );
        db.setEnabled ( false );
        db.setSelected ( true );

        return new GroupPanel ( false, new GroupPanel ( b ), db );
    }
}