/*
* This file is part of WebLookAndFeel library.
*
* WebLookAndFeel library is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* WebLookAndFeel library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.examples.groups.combobox;

import com.alee.examples.DefaultExampleGroup;
import com.alee.examples.Example;

import javax.swing.*;
import java.util.ArrayList;
import java.util.List;

/**
 * User: mgarin Date: 14.02.12 Time: 14:20
 */

public class ComboBoxesGroup extends DefaultExampleGroup
{
    public Icon getGroupIcon ()
    {
        return new ImageIcon ( ComboBoxesGroup.class.getResource ( "icons/combobox.png" ) );
    }

    public String getGroupName ()
    {
        return "Comboboxes";
    }

    public String getGroupDescription ()
    {
        return "Various examples of comboboxes usage";
    }

    public List<Example> getGroupExamples ()
    {
        List<Example> examples = new ArrayList<Example> ();
        examples.add ( new SimpleComboBoxExample () );
        examples.add ( new DisabledComboBoxExample () );
        examples.add ( new EditableComboBoxExample () );
        examples.add ( new StyledComboBoxExample () );
        return examples;
    }
}