/*
* This file is part of WebLookAndFeel library.
*
* WebLookAndFeel library is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* WebLookAndFeel library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.examples.groups.combobox;

import com.alee.examples.DefaultExample;
import com.alee.examples.WebLookAndFeelDemo;
import com.alee.examples.groups.ExamplesManager;
import com.alee.extended.panel.GroupPanel;
import com.alee.laf.combobox.WebComboBox;
import com.alee.laf.combobox.WebComboBoxCellRenderer;
import com.alee.laf.list.WebListElement;

import javax.swing.*;
import java.awt.*;

/**
 * User: mgarin Date: 14.02.12 Time: 14:21
 */

public class DisabledComboBoxExample extends DefaultExample
{
    public String getTitle ()
    {
        return "Disabled combobox";
    }

    public String getDescription ()
    {
        return "Disabled Web-styled combobox";
    }

    public Component getPreview ( WebLookAndFeelDemo owner )
    {
        String[] items = { "Element 1", "Element 2", "Element 3", "Element 4", "Element 5" };
        WebComboBox comboBox = new WebComboBox ( items );
        comboBox.setEnabled ( false );
        comboBox.setRenderer ( new WebComboBoxCellRenderer ()
        {
            public Component getListCellRendererComponent ( JList list, Object value, int index,
                                                            boolean isSelected,
                                                            boolean cellHasFocus )
            {
                WebListElement renderer = ( WebListElement ) super
                        .getListCellRendererComponent ( list, value, index, isSelected,
                                cellHasFocus );
                renderer.setIcon (
                        index == -1 || isSelected ? ExamplesManager.icon1 : ExamplesManager.icon2 );
                return renderer;
            }
        } );
        return new GroupPanel ( comboBox );
    }
}