/*
* This file is part of WebLookAndFeel library.
*
* WebLookAndFeel library is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* WebLookAndFeel library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.examples.groups.desktoppane;

import com.alee.examples.DefaultExampleGroup;
import com.alee.examples.Example;
import com.alee.examples.FeatureState;
import com.alee.extended.background.TextureBackgroundPainter;
import com.alee.laf.tabbedpane.WebTabbedPane;
import com.alee.utils.ImageUtils;

import javax.swing.*;
import java.util.ArrayList;
import java.util.List;

/**
 * User: mgarin Date: 16.02.12 Time: 16:13
 */

public class DesktopPaneGroup extends DefaultExampleGroup
{
    public Icon getGroupIcon ()
    {
        return new ImageIcon ( DesktopPaneGroup.class.getResource ( "icons/desktoppane.png" ) );
    }

    public String getGroupName ()
    {
        return "Desktop pane";
    }

    public String getGroupDescription ()
    {
        return "Desktop pane usage example";
    }

    public boolean isShowWatermark ()
    {
        return true;
    }

    public boolean isSingleExample ()
    {
        return true;
    }

    public void modifyExampleTab ( int tabIndex, WebTabbedPane tabbedPane )
    {
        tabbedPane.setBackgroundPainterAt ( tabIndex, new TextureBackgroundPainter ( ImageUtils
                .getBufferedImage ( DesktopPaneGroup.class.getResource ( "icons/bg.jpg" ) ) ) );
    }

    public FeatureState getFeatureGroupState ()
    {
        return FeatureState.beta;
    }

    public List<Example> getGroupExamples ()
    {
        List<Example> examples = new ArrayList<Example> ();
        examples.add ( new DesktopPaneExample () );
        return examples;
    }
}