/*
* This file is part of WebLookAndFeel library.
*
* WebLookAndFeel library is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* WebLookAndFeel library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.examples.groups.field;

import com.alee.examples.DefaultExample;
import com.alee.examples.WebLookAndFeelDemo;
import com.alee.extended.panel.GroupPanel;
import com.alee.laf.text.WebPasswordField;

import java.awt.*;

/**
 * User: mgarin Date: 23.01.12 Time: 17:15
 */

public class SimplePasswordFieldsExample extends DefaultExample
{
    public String getTitle ()
    {
        return "Simple password fields";
    }

    public String getDescription ()
    {
        return "Simple Web-styled password fields";
    }

    public Component getPreview ( WebLookAndFeelDemo owner )
    {
        WebPasswordField pf = new WebPasswordField ( "password" );

        WebPasswordField nepf = new WebPasswordField ( "password" );
        nepf.setEditable ( false );

        WebPasswordField dpf = new WebPasswordField ( "password" );
        dpf.setEnabled ( false );

        return new GroupPanel ( false, new GroupPanel ( pf ), new GroupPanel ( nepf ),
                new GroupPanel ( dpf ) );
    }
}