/*
* This file is part of WebLookAndFeel library.
*
* WebLookAndFeel library is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* WebLookAndFeel library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.examples.groups.field;

import com.alee.examples.DefaultExample;
import com.alee.examples.FeatureState;
import com.alee.examples.WebLookAndFeelDemo;
import com.alee.extended.panel.GroupPanel;
import com.alee.laf.spinner.WebSpinner;

import javax.swing.*;
import java.awt.*;
import java.util.Calendar;
import java.util.Date;

/**
 * User: mgarin Date: 23.01.12 Time: 17:20
 */

public class SimpleSpinnersExample extends DefaultExample
{
    public String getTitle ()
    {
        return "Simple spinners";
    }

    public String getDescription ()
    {
        return "Simple Web-styled spinners";
    }

    public FeatureState getFeatureState ()
    {
        return FeatureState.beta;
    }

    public Component getPreview ( WebLookAndFeelDemo owner )
    {
        WebSpinner s = new WebSpinner ();
        s.setValue ( 100 );

        WebSpinner ds = new WebSpinner ();
        ds.setValue ( 1024 );
        ds.setEnabled ( false );

        WebSpinner dateS = new WebSpinner ();
        SpinnerDateModel model = new SpinnerDateModel ();
        model.setCalendarField ( Calendar.YEAR );
        dateS.setModel ( model );
        dateS.setValue ( new Date () );

        return new GroupPanel ( false, new GroupPanel ( s ), new GroupPanel ( ds ),
                new GroupPanel ( dateS ) );
    }
}