/*
* This file is part of WebLookAndFeel library.
*
* WebLookAndFeel library is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* WebLookAndFeel library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.examples.groups.field;

import com.alee.examples.DefaultExample;
import com.alee.examples.WebLookAndFeelDemo;
import com.alee.extended.panel.GroupPanel;
import com.alee.laf.text.WebTextField;

import java.awt.*;

/**
 * User: mgarin Date: 23.01.12 Time: 17:12
 */

public class SimpleTextFieldsExample extends DefaultExample
{
    public String getTitle ()
    {
        return "Simple text fields";
    }

    public String getDescription ()
    {
        return "Simple Web-styled text fields";
    }

    public Component getPreview ( WebLookAndFeelDemo owner )
    {
        WebTextField tf = new WebTextField ( "Text field" );

        WebTextField netf = new WebTextField ( "Non-editabled field" );
        netf.setEditable ( false );

        WebTextField dtf = new WebTextField ( "Disabled field" );
        dtf.setEnabled ( false );

        return new GroupPanel ( false, new GroupPanel ( tf ), new GroupPanel ( netf ),
                new GroupPanel ( dtf ) );
    }
}