/*
* This file is part of WebLookAndFeel library.
*
* WebLookAndFeel library is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* WebLookAndFeel library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.examples.groups.futurico;

import com.alee.examples.DefaultExample;
import com.alee.examples.FeatureState;
import com.alee.examples.WebLookAndFeelDemo;
import com.alee.extended.background.StateBackgroundPainter;
import com.alee.extended.panel.GroupPanel;
import com.alee.laf.button.WebToggleButton;
import com.alee.utils.XmlUtils;

import javax.swing.*;
import java.awt.*;

/**
 * User: mgarin Date: 12.03.12 Time: 15:34
 */

public class FuturicoButtonsExample extends DefaultExample
{
    public static ImageIcon infoIcon =
            new ImageIcon ( FuturicoButtonsExample.class.getResource ( "icons/info.png" ) );
    public static ImageIcon searchIcon =
            new ImageIcon ( FuturicoButtonsExample.class.getResource ( "icons/search.png" ) );
    public static ImageIcon gameIcon =
            new ImageIcon ( FuturicoButtonsExample.class.getResource ( "icons/game.png" ) );
    public static ImageIcon exitIcon =
            new ImageIcon ( FuturicoButtonsExample.class.getResource ( "icons/exit.png" ) );

    public String getTitle ()
    {
        return "Futurico buttons";
    }

    public String getDescription ()
    {
        return "Futurico-styled buttons";
    }

    public FeatureState getFeatureState ()
    {
        return FeatureState.beta;
    }

    public Component getPreview ( WebLookAndFeelDemo owner )
    {
        StateBackgroundPainter npbbp = XmlUtils.loadStateBackgroundPainter (
                FuturicoButtonsExample.class.getResource ( "resources/button.xml" ) );

        ButtonGroup bg = new ButtonGroup ();

        final WebToggleButton button1 = new WebToggleButton ( "Info", infoIcon );
        button1.setBackgroundPainter ( npbbp );
        bg.add ( button1 );

        final WebToggleButton button2 = new WebToggleButton ( "Search", searchIcon );
        button2.setBackgroundPainter ( npbbp );
        bg.add ( button2 );

        final WebToggleButton button3 = new WebToggleButton ( "Game", gameIcon );
        button3.setBackgroundPainter ( npbbp );
        bg.add ( button3 );

        final WebToggleButton button4 = new WebToggleButton ( "Exit", exitIcon );
        button4.setBackgroundPainter ( npbbp );
        button4.setEnabled ( false );

        return new GroupPanel ( button1, button2, button3, button4 );
    }
}