/*
* This file is part of WebLookAndFeel library.
*
* WebLookAndFeel library is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* WebLookAndFeel library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.examples.groups.label;

import com.alee.examples.DefaultExample;
import com.alee.examples.WebLookAndFeelDemo;
import com.alee.examples.groups.ExamplesManager;
import com.alee.extended.panel.GroupPanel;
import com.alee.laf.label.WebLabel;

import java.awt.*;

/**
 * User: mgarin Date: 24.01.12 Time: 13:02
 */

public class SimpleLabelsExample extends DefaultExample
{
    public String getTitle ()
    {
        return "Simple labels";
    }

    public String getDescription ()
    {
        return "Simple Web-styled labels";
    }

    public Component getPreview ( WebLookAndFeelDemo owner )
    {
        WebLabel l = new WebLabel ( "Simple label", ExamplesManager.icon1, WebLabel.LEFT );

        WebLabel dl = new WebLabel ( "Disabled label", ExamplesManager.icon2, WebLabel.LEFT );
        dl.setEnabled ( false );

        return new GroupPanel ( 4, false, new GroupPanel ( l ), new GroupPanel ( dl ) );
    }
}