/*
* This file is part of WebLookAndFeel library.
*
* WebLookAndFeel library is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* WebLookAndFeel library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.examples.groups.list;

import com.alee.examples.DefaultExample;
import com.alee.examples.FeatureState;
import com.alee.examples.WebLookAndFeelDemo;
import com.alee.extended.list.WebCheckBoxList;
import com.alee.extended.list.WebCheckBoxListCellData;
import com.alee.extended.list.WebCheckBoxListModel;
import com.alee.extended.panel.GroupPanel;
import com.alee.laf.scroll.WebScrollPane;

import java.awt.*;

/**
 * User: mgarin Date: 17.02.12 Time: 13:19
 */

public class CheckBoxListExample extends DefaultExample
{
    public String getTitle ()
    {
        return "Checkbox list";
    }

    public String getDescription ()
    {
        return "Web-styled checkbox list";
    }

    public FeatureState getFeatureState ()
    {
        return FeatureState.beta;
    }

    public Component getPreview ( WebLookAndFeelDemo owner )
    {
        WebCheckBoxList webCheckBoxList1 = new WebCheckBoxList ( createCheckBoxListModel () );
        webCheckBoxList1.setVisibleRowCount ( 4 );
        webCheckBoxList1.setSelectedIndex ( 0 );

        WebCheckBoxList webCheckBoxList2 = new WebCheckBoxList ( createCheckBoxListModel () );
        webCheckBoxList2.setVisibleRowCount ( 4 );
        webCheckBoxList2.setSelectedIndex ( 0 );
        webCheckBoxList2.setEnabled ( false );

        return new GroupPanel ( new WebScrollPane ( webCheckBoxList1 ),
                new WebScrollPane ( webCheckBoxList2 ) );
    }

    private WebCheckBoxListModel createCheckBoxListModel ()
    {
        WebCheckBoxListModel model = new WebCheckBoxListModel ();
        model.addElement ( new WebCheckBoxListCellData ( true, "Element 1" ) );
        model.addElement ( new WebCheckBoxListCellData ( false, "Element 2" ) );
        model.addElement ( new WebCheckBoxListCellData ( false, "Some other text" ) );
        model.addElement ( new WebCheckBoxListCellData ( true, "One more line" ) );
        model.addElement ( new WebCheckBoxListCellData ( true, "And one more" ) );
        model.addElement ( new WebCheckBoxListCellData ( false, "And last one" ) );
        return model;
    }
}