/*
* This file is part of WebLookAndFeel library.
*
* WebLookAndFeel library is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* WebLookAndFeel library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.examples.groups.list;

import com.alee.examples.DefaultExample;
import com.alee.examples.FeatureState;
import com.alee.examples.WebLookAndFeelDemo;
import com.alee.extended.filechooser.FileComparator;
import com.alee.extended.filechooser.FileListModel;
import com.alee.extended.filechooser.FilesView;
import com.alee.extended.filechooser.WebFileList;
import com.alee.extended.panel.GroupPanel;
import com.alee.utils.FileUtils;

import java.awt.*;
import java.io.File;
import java.util.Arrays;

/**
 * User: mgarin Date: 17.02.12 Time: 13:22
 */

public class FilesListExample extends DefaultExample
{
    public String getTitle ()
    {
        return "Files list";
    }

    public String getDescription ()
    {
        return "Web-styled files list";
    }

    public FeatureState getFeatureState ()
    {
        return FeatureState.beta;
    }

    public Component getPreview ( WebLookAndFeelDemo owner )
    {
        WebFileList webFileList = new WebFileList ();
        webFileList.setFilesView ( FilesView.icons );
        webFileList.setPreferredColumnCount ( 4 );
        webFileList.setPreferredRowCount ( 3 );

        File[] files = FileUtils.getRoots ()[ 0 ].listFiles ();
        Arrays.sort ( files, new FileComparator () );
        webFileList.setModel ( new FileListModel ( files ) );

        return new GroupPanel ( webFileList.getScrollView () );
    }
}