/*
* This file is part of WebLookAndFeel library.
*
* WebLookAndFeel library is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* WebLookAndFeel library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.examples.groups.list;

import com.alee.examples.DefaultExample;
import com.alee.examples.WebLookAndFeelDemo;
import com.alee.extended.panel.GroupPanel;
import com.alee.laf.list.ListUtils;
import com.alee.laf.list.WebList;
import com.alee.laf.list.editor.WebStringListEditor;
import com.alee.laf.scroll.WebScrollPane;

import java.awt.*;

/**
 * User: mgarin Date: 17.02.12 Time: 13:05
 */

public class SimpleListsExample extends DefaultExample
{
    public String getTitle ()
    {
        return "Simple lists";
    }

    public String getDescription ()
    {
        return "Simple Web-styled lists";
    }

    public Component getPreview ( WebLookAndFeelDemo owner )
    {
        WebList list1 = new WebList ( createSampleData () );
        list1.setVisibleRowCount ( 4 );
        list1.setSelectedIndex ( 0 );

        WebList list2 = new WebList ( createSampleData () );
        list2.setVisibleRowCount ( 4 );
        list2.setSelectedIndex ( 0 );
        list2.setEnabled ( false );

        WebList list3 = new WebList ( createSampleEditData () );
        list3.setVisibleRowCount ( 4 );
        list3.setSelectedIndex ( 0 );
        ListUtils.installEditor ( list3, new WebStringListEditor () );

        return new GroupPanel ( 4, true, new WebScrollPane ( list1 ), new WebScrollPane ( list2 ),
                new WebScrollPane ( list3 ) );
    }

    private String[] createSampleData ()
    {
        return new String[]{ "Element 1", "Element 2", "Element 3", "Element 4", "Element 5",
                "Element 6" };
    }

    private String[] createSampleEditData ()
    {
        return new String[]{ "Edit me 1", "Edit me 2", "Edit me 3", "Edit me 4", "Edit me 5",
                "Edit me 6" };
    }
}