/*
* This file is part of WebLookAndFeel library.
*
* WebLookAndFeel library is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* WebLookAndFeel library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.examples.groups.ninepatch;

import com.alee.examples.DefaultExampleGroup;
import com.alee.examples.Example;
import com.alee.examples.FeatureState;

import javax.swing.*;
import java.util.ArrayList;
import java.util.List;

/**
 * User: mgarin Date: 12.03.12 Time: 14:16
 */

public class StyledComponentsGroup extends DefaultExampleGroup
{
    private StyleType styleType;

    public StyledComponentsGroup ( StyleType styleType )
    {
        this.styleType = styleType;
    }

    public Icon getGroupIcon ()
    {
        return styleType.getIcon ();
    }

    public String getGroupName ()
    {
        return styleType.getName () + " styling";
    }

    public String getGroupDescription ()
    {
        return styleType.getName () + " components styling examples";
    }

    public boolean isSingleExample ()
    {
        return true;
    }

    public FeatureState getFeatureGroupState ()
    {
        return FeatureState.beta;
    }

    public List<Example> getGroupExamples ()
    {
        List<Example> examples = new ArrayList<Example> ();
        examples.add ( new NinePatchStylesExample () );
        return examples;
    }
}