/*
* This file is part of WebLookAndFeel library.
*
* WebLookAndFeel library is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* WebLookAndFeel library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.examples.groups.panel;

import com.alee.examples.DefaultExample;
import com.alee.examples.FeatureState;
import com.alee.examples.WebLookAndFeelDemo;
import com.alee.extended.panel.GroupPanel;
import com.alee.extended.panel.WebListPanel;
import com.alee.laf.button.WebButton;
import com.alee.laf.label.WebLabel;
import com.alee.laf.slider.WebSlider;
import com.alee.laf.text.WebTextField;

import java.awt.*;

/**
 * User: mgarin Date: 01.03.12 Time: 14:17
 */

public class WebListPanelExample extends DefaultExample
{
    public String getTitle ()
    {
        return "Panels list";
    }

    public String getDescription ()
    {
        return "Web-styled panels list";
    }

    public FeatureState getFeatureState ()
    {
        return FeatureState.alpha;
    }

    public Component getPreview ( WebLookAndFeelDemo owner )
    {
        WebListPanel webListPanel = new WebListPanel ( true );

        WebButton b1 = new WebButton ( "Button" );
        b1.putClientProperty ( GroupPanel.FILL_CELL, true );
        WebButton b2 = new WebButton ( "Button" );
        b2.putClientProperty ( GroupPanel.FILL_CELL, true );
        WebButton b3 = new WebButton ( "Button" );
        b3.putClientProperty ( GroupPanel.FILL_CELL, true );
        webListPanel.addElement ( new GroupPanel ( 4, b1, b2, b3 ) );

        WebLabel label = new WebLabel ( "Test:" );
        WebTextField field = new WebTextField ();
        field.putClientProperty ( GroupPanel.FILL_CELL, true );
        webListPanel.addElement ( new GroupPanel ( 4, label, field ) );

        webListPanel.addElement ( new WebSlider ( WebSlider.HORIZONTAL, 0, 100, 50 ) );

        WebTextField f1 = new WebTextField ();
        f1.putClientProperty ( GroupPanel.FILL_CELL, true );
        WebTextField f2 = new WebTextField ();
        f2.putClientProperty ( GroupPanel.FILL_CELL, true );
        WebTextField f3 = new WebTextField ();
        f3.putClientProperty ( GroupPanel.FILL_CELL, true );
        webListPanel.addElement ( new GroupPanel ( 4, f1, f2, f3 ) );

        return new GroupPanel ( webListPanel );
    }
}