/*
* This file is part of WebLookAndFeel library.
*
* WebLookAndFeel library is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* WebLookAndFeel library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.examples.groups.slider;

import com.alee.examples.DefaultExample;
import com.alee.examples.WebLookAndFeelDemo;
import com.alee.extended.panel.GroupPanel;
import com.alee.laf.slider.WebSlider;

import java.awt.*;

/**
 * User: mgarin Date: 16.02.12 Time: 18:35
 */

public class VerticalSlidersExample extends DefaultExample
{
    public String getTitle ()
    {
        return "Vertical sliders";
    }

    public String getDescription ()
    {
        return "Vertical Web-styled sliders";
    }

    public Component getPreview ( WebLookAndFeelDemo owner )
    {
        WebSlider slider1 = new WebSlider ( WebSlider.VERTICAL );
        slider1.setMinimum ( 0 );
        slider1.setMaximum ( 100 );
        slider1.setMinorTickSpacing ( 10 );
        slider1.setMajorTickSpacing ( 50 );
        slider1.setPaintTicks ( true );
        slider1.setPaintLabels ( true );
        slider1.setComponentOrientation ( ComponentOrientation.RIGHT_TO_LEFT );

        WebSlider slider2 = new WebSlider ( WebSlider.VERTICAL );
        slider2.setMinimum ( 0 );
        slider2.setMaximum ( 100 );
        slider2.setMinorTickSpacing ( 10 );
        slider2.setMajorTickSpacing ( 50 );
        slider2.setPaintTicks ( false );
        slider2.setPaintLabels ( false );
        slider2.setEnabled ( false );
        slider2.setComponentOrientation ( ComponentOrientation.RIGHT_TO_LEFT );

        WebSlider slider3 = new WebSlider ( WebSlider.VERTICAL );
        slider3.setMinimum ( 0 );
        slider3.setMaximum ( 100 );
        slider3.setMinorTickSpacing ( 10 );
        slider3.setMajorTickSpacing ( 50 );
        slider3.setPaintTicks ( false );
        slider3.setPaintLabels ( false );
        slider3.setSnapToTicks ( true );

        WebSlider slider4 = new WebSlider ( WebSlider.VERTICAL );
        slider4.setMinimum ( 0 );
        slider4.setMaximum ( 100 );
        slider4.setMinorTickSpacing ( 10 );
        slider4.setMajorTickSpacing ( 50 );
        slider4.setPaintTicks ( true );
        slider4.setPaintLabels ( true );
        slider4.setSnapToTicks ( true );
        slider4.setEnabled ( false );

        return new GroupPanel ( 4, true, new GroupPanel ( slider1 ), new GroupPanel ( slider2 ),
                new GroupPanel ( slider3 ), new GroupPanel ( slider4 ) );
    }
}