/*
* This file is part of WebLookAndFeel library.
*
* WebLookAndFeel library is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* WebLookAndFeel library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.examples.groups.splitpane;

import com.alee.examples.DefaultExample;
import com.alee.examples.WebLookAndFeelDemo;
import com.alee.extended.panel.GroupPanel;
import com.alee.laf.label.WebLabel;
import com.alee.laf.scroll.WebScrollPane;
import com.alee.laf.splitpane.WebSplitPane;

import java.awt.*;

/**
 * User: mgarin Date: 17.02.12 Time: 13:35
 */

public class HorizontalSplitPaneExample extends DefaultExample
{
    public String getTitle ()
    {
        return "Horizontal split pane";
    }

    public String getDescription ()
    {
        return "Horizontal Web-styled split pane with direct drag";
    }

    public Component getPreview ( WebLookAndFeelDemo owner )
    {
        WebSplitPane splitPane = new WebSplitPane ( WebSplitPane.HORIZONTAL_SPLIT,
                new WebScrollPane ( new WebLabel ( "left", WebLabel.CENTER ) ),
                new WebScrollPane ( new WebLabel ( "right", WebLabel.CENTER ) ) );
        splitPane.setOneTouchExpandable ( true );
        splitPane.setPreferredSize ( new Dimension ( 250, 200 ) );
        splitPane.setDividerLocation ( 125 );
        splitPane.setContinuousLayout ( true );

        return new GroupPanel ( splitPane );
    }
}