/*
* This file is part of WebLookAndFeel library.
*
* WebLookAndFeel library is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* WebLookAndFeel library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.examples.groups.table;

import com.alee.examples.DefaultExample;
import com.alee.examples.WebLookAndFeelDemo;
import com.alee.laf.scroll.WebScrollPane;

import javax.swing.*;
import javax.swing.table.DefaultTableCellRenderer;
import java.awt.*;

/**
 * User: mgarin Date: 30.01.12 Time: 16:17
 */

public class DisabledTableExample extends DefaultExample
{
    public String getTitle ()
    {
        return "Disabled table";
    }

    public String getDescription ()
    {
        return "Disabled Web-styled table";
    }

    public Component getPreview ( WebLookAndFeelDemo owner )
    {
        String[] headers = { "h1", "h2", "h3" };
        String[][] data =
                { { "1", "2", "3" }, { "4", "5", "6" }, { "7", "8", "9" }, { "10", "11", "12" },
                        { "13", "14", "15" }, { "16", "17", "18" }, { "19", "20", "21" },
                        { "22", "23", "24" } };

        JTable table = new JTable ( data, headers );
        table.setEnabled ( false );
        table.setDefaultRenderer ( Object.class, new DefaultTableCellRenderer ()
        {
            public Component getTableCellRendererComponent ( JTable table, Object value,
                                                             boolean isSelected, boolean hasFocus,
                                                             int row, int column )
            {
                Component r =
                        super.getTableCellRendererComponent ( table, value, isSelected, hasFocus,
                                row, column );
                r.setEnabled ( table.isEnabled () );
                return r;
            }
        } );

        WebScrollPane tableScroll = new WebScrollPane ( table );
        tableScroll.setPreferredSize ( new Dimension ( 200, 100 ) );

        return tableScroll;
    }
}