/*
* This file is part of WebLookAndFeel library.
*
* WebLookAndFeel library is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* WebLookAndFeel library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.examples.groups.toolbar;

import com.alee.examples.DefaultExampleGroup;
import com.alee.examples.Example;
import com.alee.laf.StyleConstants;
import com.alee.laf.button.WebButton;
import com.alee.laf.toolbar.WebToolBar;

import javax.swing.*;
import java.util.ArrayList;
import java.util.List;

/**
 * User: mgarin Date: 24.01.12 Time: 14:19
 */

public class ToolbarsGroup extends DefaultExampleGroup
{
    private static final ImageIcon toolbarSave =
            new ImageIcon ( ToolbarsGroup.class.getResource ( "icons/toolbar/save.png" ) );
    private static final ImageIcon toolbarSaveall =
            new ImageIcon ( ToolbarsGroup.class.getResource ( "icons/toolbar/saveall.png" ) );
    private static final ImageIcon toolbarCut =
            new ImageIcon ( ToolbarsGroup.class.getResource ( "icons/toolbar/cut.png" ) );
    private static final ImageIcon toolbarCopy =
            new ImageIcon ( ToolbarsGroup.class.getResource ( "icons/toolbar/copy.png" ) );
    private static final ImageIcon toolbarPaste =
            new ImageIcon ( ToolbarsGroup.class.getResource ( "icons/toolbar/paste.png" ) );
    private static final ImageIcon toolbarSettings =
            new ImageIcon ( ToolbarsGroup.class.getResource ( "icons/toolbar/settings.png" ) );

    public Icon getGroupIcon ()
    {
        return new ImageIcon ( ToolbarsGroup.class.getResource ( "icons/toolbar.png" ) );
    }

    public String getGroupName ()
    {
        return "Toolbars";
    }

    public String getGroupDescription ()
    {
        return "Various examples of toolbars usage";
    }

    public List<Example> getGroupExamples ()
    {
        List<Example> examples = new ArrayList<Example> ();
        examples.add ( new SimpleToolbarsExample () );
        examples.add ( new AttachedToolbarsExample () );
        examples.add ( new VerticalToolbarsExample () );
        return examples;
    }

    public static void setupToolBar ( WebToolBar toolbar )
    {
        toolbar.add (
                WebButton.createIconWebButton ( toolbarSave, StyleConstants.smallRound, true ) );
        toolbar.add (
                WebButton.createIconWebButton ( toolbarSaveall, StyleConstants.smallRound, true ) );
        toolbar.addSeparator ();
        toolbar.add (
                WebButton.createIconWebButton ( toolbarCut, StyleConstants.smallRound, true ) );
        toolbar.add (
                WebButton.createIconWebButton ( toolbarCopy, StyleConstants.smallRound, true ) );
        toolbar.add (
                WebButton.createIconWebButton ( toolbarPaste, StyleConstants.smallRound, true ) );

        toolbar.addToEnd ( WebButton
                .createIconWebButton ( toolbarSettings, StyleConstants.smallRound, true ) );
    }
}