/*
* This file is part of WebLookAndFeel library.
*
* WebLookAndFeel library is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* WebLookAndFeel library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.examples.groups.tooltip;

import com.alee.examples.DefaultExample;
import com.alee.examples.WebLookAndFeelDemo;
import com.alee.extended.panel.GroupPanel;
import com.alee.laf.button.WebButton;

import javax.swing.*;
import java.awt.*;

/**
 * User: mgarin Date: 17.02.12 Time: 13:54
 */

public class SimpleTooltipExample extends DefaultExample
{
    public String getTitle ()
    {
        return "Simple tooltip";
    }

    public String getDescription ()
    {
        return "Simple Web-styled tooltip";
    }

    public Component getPreview ( WebLookAndFeelDemo owner )
    {
        // Simple JToolTip styled by WebToolTipUI
        WebButton button = new WebButton (
                ToolTipManager.sharedInstance ().getInitialDelay () + " ms default delay" );
        button.setToolTipText ( "Simple delayed JToolTip" );

        return new GroupPanel ( button );
    }
}