/*
* This file is part of WebLookAndFeel library.
*
* WebLookAndFeel library is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* WebLookAndFeel library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.examples.groups.tree;

import com.alee.examples.DefaultExample;
import com.alee.examples.FeatureState;
import com.alee.examples.WebLookAndFeelDemo;
import com.alee.extended.panel.GroupPanel;
import com.alee.laf.scroll.WebScrollPane;
import com.alee.laf.tree.WebTree;

import java.awt.*;

/**
 * User: mgarin Date: 16.02.12 Time: 18:43
 */

public class SimpleTreeExample extends DefaultExample
{
    public String getTitle ()
    {
        return "Simple tree";
    }

    public String getDescription ()
    {
        return "Simple Web-styled tree with multiselection";
    }

    public FeatureState getFeatureState ()
    {
        return FeatureState.beta;
    }

    public Component getPreview ( WebLookAndFeelDemo owner )
    {
        WebTree tree = new WebTree ();
        tree.setShowsRootHandles ( true );
        tree.setVisibleRowCount ( 4 );
        tree.setEditable ( true );

        WebScrollPane treeScroll = new WebScrollPane ( tree );
        treeScroll.setPreferredSize ( new Dimension ( 230, 200 ) );

        return new GroupPanel ( treeScroll );
    }
}