/*
* This file is part of WebLookAndFeel library.
*
* WebLookAndFeel library is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* WebLookAndFeel library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.extended.background;

import com.alee.laf.StyleConstants;
import com.alee.laf.tabbedpane.WebTabbedPaneStyle;
import com.alee.utils.LafUtils;

import javax.swing.*;
import java.awt.*;

/**
 * User: mgarin Date: 15.03.12 Time: 18:09
 */

public class WebBackgroundPainter extends DefaultBackgroundPainter
{
    private int round = WebTabbedPaneStyle.round;
    private int shadeWidth = WebTabbedPaneStyle.shadeWidth;

    public boolean isOpaque ()
    {
        return false;
    }

    public Insets getBackgroundMargin ( JComponent c )
    {
        return new Insets ( shadeWidth + 1, shadeWidth + 1, shadeWidth + 1, shadeWidth + 1 );
    }

    public void paintBackground ( Graphics g, Rectangle bounds, JComponent c )
    {
        LafUtils.drawWebBorder ( ( Graphics2D ) g, c, StyleConstants.shadeColor, shadeWidth, round,
                false );
    }
}