/*
* This file is part of WebLookAndFeel library.
*
* WebLookAndFeel library is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* WebLookAndFeel library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.laf.list;

import com.alee.laf.StyleConstants;
import com.alee.laf.label.WebLabel;
import com.alee.utils.LafUtils;

import java.awt.*;

/**
 * User: mgarin Date: 02.09.11 Time: 14:25
 */

public class WebListElement extends WebLabel
{
    private Color topBg = StyleConstants.topBgColor;
    private Color bottomBg = StyleConstants.bottomBgColor;

    private int round = StyleConstants.smallRound;
    private int shadeWidth = StyleConstants.shadeWidth;

    private boolean isPreviousSelected = false;
    private boolean isCellSelected = false;
    private boolean isNextSelected = false;

    private boolean last = false;
    private boolean isRollover = false;

    private Object value = null;

    public WebListElement ()
    {
        super ();

        setOpaque ( false );
        setBorder ( WebListCellRenderer.defaultBorder );
    }

    public Object getValue ()
    {
        return value;
    }

    public void setValue ( Object value )
    {
        this.value = value;
    }

    public boolean isCellSelected ()
    {
        return isCellSelected;
    }

    public void setCellSelected ( boolean cellSelected )
    {
        isCellSelected = cellSelected;
    }

    public boolean isPreviousSelected ()
    {
        return isPreviousSelected;
    }

    public void setPreviousSelected ( boolean previousSelected )
    {
        isPreviousSelected = previousSelected;
    }

    public boolean isNextSelected ()
    {
        return isNextSelected;
    }

    public void setNextSelected ( boolean nextSelected )
    {
        isNextSelected = nextSelected;
    }

    public boolean isRollover ()
    {
        return isRollover;
    }

    public void setRollover ( boolean rollover )
    {
        this.isRollover = rollover;
    }

    protected void paintComponent ( Graphics g )
    {
        if ( isCellSelected || isRollover )
        {
            LafUtils.drawWebBorder ( ( Graphics2D ) g, WebListElement.this,
                    StyleConstants.shadeColor, shadeWidth, round, true, true,
                    StyleConstants.darkBorderColor, StyleConstants.disabledBorderColor,
                    isCellSelected ? 1f : 0.35f );
        }

        super.paintComponent ( g );
    }
}
