/*
* This file is part of WebLookAndFeel library.
*
* WebLookAndFeel library is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* WebLookAndFeel library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with WebLookAndFeel library.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.alee.utils.file;

import java.io.File;

/**
 * User: mgarin Date: 19.10.11 Time: 19:32
 */

public interface FileDownloadListener
{
    /**
     * Called when file size retrieved
     */
    public void sizeDetermined ( int totalSize );

    /**
     * Called when one more file part have been downloaded
     */
    public void partDownloaded ( int totalBytesDownloaded );

    /**
     * Asked before each time-eating operation if download should be stopped
     */
    public boolean shouldStopDownload ();

    /**
     * Called before returning the final file
     */
    public void fileDownloaded ( File file );

    /**
     * Asked before each time-eating operation if download should be stopped
     */
    public void fileDownloadFailed ( Throwable e );
}